pub struct PtyShellCreateResponse {
pub shell_id: String,
}Expand description
Response from POST /api/v1/ptyshell/create. shell_id is the new
sub-block’s id — the same value every other PtyShell* call takes.
Fields§
§shell_id: StringTrait Implementations§
Source§impl Clone for PtyShellCreateResponse
impl Clone for PtyShellCreateResponse
Source§fn clone(&self) -> PtyShellCreateResponse
fn clone(&self) -> PtyShellCreateResponse
Returns a duplicate of the value. Read more
1.0.0 (const: unstable) · Source§fn clone_from(&mut self, source: &Self)
fn clone_from(&mut self, source: &Self)
Performs copy-assignment from
source. Read moreSource§impl Debug for PtyShellCreateResponse
impl Debug for PtyShellCreateResponse
Source§impl<'de> Deserialize<'de> for PtyShellCreateResponse
impl<'de> Deserialize<'de> for PtyShellCreateResponse
Source§fn deserialize<__D>(__deserializer: __D) -> Result<Self, __D::Error>where
__D: Deserializer<'de>,
fn deserialize<__D>(__deserializer: __D) -> Result<Self, __D::Error>where
__D: Deserializer<'de>,
Deserialize this value from the given Serde deserializer. Read more
Auto Trait Implementations§
impl Freeze for PtyShellCreateResponse
impl RefUnwindSafe for PtyShellCreateResponse
impl Send for PtyShellCreateResponse
impl Sync for PtyShellCreateResponse
impl Unpin for PtyShellCreateResponse
impl UnsafeUnpin for PtyShellCreateResponse
impl UnwindSafe for PtyShellCreateResponse
Blanket Implementations§
Source§impl<T> BorrowMut<T> for Twhere
T: ?Sized,
impl<T> BorrowMut<T> for Twhere
T: ?Sized,
Source§fn borrow_mut(&mut self) -> &mut T
fn borrow_mut(&mut self) -> &mut T
Mutably borrows from an owned value. Read more